using Schema;
using VOID.ScriptableObjects.Abilities;

namespace VOID.Generic.AI.Schema.Variables
{
    [Color("#b07219")]
    [Name(nameof(BasicAbility))]
    [UseExternalTypeDefinition(typeof(BasicAbility))]
    [IncludePaths(
        "actionPointCost",
        "movePointCost",
        "isRanged",
        "range",
        "castUsages"
    )]
    public class AbilityVariable : EntryType
    {
    }
}